Create routing rule
Creates a new CEL-based routing rule for intelligent request routing. Provider and model can be left empty to use the incoming request values.
AuthorizationBearer <token>
Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT.
Virtual keys (prefixed with sk-bf-) can also be passed here.
In: header
Global scope routing rule
scopestring
Value in
"global"Scoped routing rule (requires scope_id)
scopestring
Value in
"team" | "customer" | "virtual_key"scope_idstring
Response Body
curl -X POST "https://loading/{AI_GATEWAY_URL}/api/governance/routing-rules" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "cel_expression": "string", "targets": [ { "weight": 0.5 } ], "scope": "global", "priority": 0 }'{
"message": "string",
"rule": {
"id": "string",
"name": "string",
"description": "string",
"enabled": true,
"cel_expression": "string",
"targets": [
{
"provider": "string",
"model": "string",
"key_id": "string",
"weight": 0.5
}
],
"fallbacks": [
"string"
],
"scope": "global",
"scope_id": "string",
"priority": 0,
"query": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}{
"event_id": "string",
"type": "string",
"is_bifrost_error": true,
"status_code": 0,
"error": {
"type": "string",
"code": "string",
"message": "string",
"param": "string",
"event_id": "string"
},
"extra_fields": {
"provider": "openai",
"model_requested": "string",
"request_type": "string"
}
}